org.apache.fop.fo.expr

## Class OCAColorFunction

- java.lang.Object
- - org.apache.fop.fo.expr.FunctionBase
  - - org.apache.fop.fo.expr.OCAColorFunction

All Implemented Interfaces:
  Function

    public class OCAColorFunction
    extends FunctionBase

### Constructor Summary

Constructors
Constructor and Description
`OCAColorFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Property` `eval(Property[] args, PropertyInfo pInfo)` Evaluate the function
`int` `getRequiredArgsCount()`

### Methods inherited from class org.apache.fop.fo.expr.FunctionBase

`getOptionalArgDefault, getOptionalArgsCount, getPercentBase, getPropertyName, hasVariableArgs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OCAColorFunction

    public OCAColorFunction()

### Method Detail

#### getRequiredArgsCount

    public int getRequiredArgsCount()

Returns:
  the number of required (non-optional) arguments that must be specified in the argument list

#### eval

    public Property eval(Property[] args,
                         PropertyInfo pInfo)
                  throws PropertyException

Evaluate the function

Parameters:
  `args` - an array of Properties that should be evaluated
  `pInfo` - property information instance that applies to property being evaluated
Returns:
  the Property satisfying the function
Throws:
  `PropertyException` - for problems when evaluating the function